<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick">
    <meta name="author" content="www.serviceblick.com">

    <title>Crowdsoft</title>
    <!-- vendor css -->
    <link rel="stylesheet" href="/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/lib/ionicons/css/ionicons.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/lib/typicons.font/typicons.css?v=[cs_version]">
    <link rel="stylesheet" href="/lib/bootstrap-table/css/bootstrap-table.min.css?v=[cs_version]">
    <!-- global CSS -->
    <link rel="stylesheet" href="/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/css/serviceblick-global.css?v=[cs_version]">

</head>

<body id="page-top" class="az-body">

    <div class="az-header">
        <div class="container">
            <div class="az-header-left">
                <a href="index.html" class="az-logo"><span></span> <img class="az-logo" src="/img/serviceblick_logo.gif" alt="Serviceblick logo"></a>
                <a href="" id="azMenuShow" class="az-header-menu-icon d-lg-none"><span></span></a><span class="nav-link text-dark tx-20">App Branding</span>
            </div><!-- az-header-left -->
            <!-- <div class="az-header-center">-->
                <div class="az-header-menu">
                    <div class="az-header-menu-header">
                        <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/img/serviceblick_logo.gif" alt="Serviceblick"></a>
                        <a href="" class="close">&times;</a>
                    </div><!-- az-header-menu-header -->
                  <ul class="nav">
                    <li class="nav-item active show">
                      <a href="" class="nav-link with-sub"><i class="typcn typcn-chart-area-outline"></i> Catagory 1</a>
                      <div class="az-menu-sub">
                        <nav class="nav">
                            <a href="#" class="nav-link active">Active Link</a>
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                        </nav>
                      </div><!-- az-menu-sub -->
                    </li>
                    <li class="nav-item">
                        <a href="" class="nav-link with-sub"><i class="typcn typcn-document"></i> Catagory 2</a>
                        <nav class="az-menu-sub">
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                            <a href="#" class="nav-link">Link</a>
                        </nav>
                    </li>
                    <li class="nav-item">
                      <a href="" class="nav-link with-sub"><i class="typcn typcn-book"></i> Catagory 3</a>
                    <div class="az-menu-sub az-menu-sub-mega">
                        <div class="container">
                            <div>
                                <nav class="nav">
                                    <span>Sub Catagory 1</span>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                </nav>
                                <nav class="nav">
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                </nav>
                            </div>
                            <div>
                                <nav class="nav">
                                    <span>Sub Catagory 2</span>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                </nav>
                            </div>
                            <div>
                                <nav class="nav">
                                    <span>Sub Catagory 3</span>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                    <a href="#" class="nav-link">Link</a>
                                </nav>
                            </div>
                        </div><!-- container -->
                    </div>
                    </li>
                  </ul>
                </div><!-- az-header-menu -->
            <!--</div> az-header-center -->
            <div class="az-header-right">
                <div class="dropdown az-header-notification">
                    <a href="" data-toggle="tooltip" title="" data-original-title="Hilfe"> <i class="icon ion-ios-help-circle-outline"></i></a>
                    <div class="dropdown-menu">
                        <div class="">
                            <nav class="nav az-nav-column">
                              <a class="nav-link" data-toggle="tab" href="#">Support</a>
                              <a class="nav-link" data-toggle="tab" href="#">Handbuch</a>
                              <a class="nav-link" data-toggle="tab" href="#">Nutzungsbedingungen</a>
                            </nav>
                          </div>
                        
                    </div><!-- dropdown-menu -->
                </div><!-- az-header-message -->
               
                <div class="dropdown az-header-notification">
                    <a href="" class="new" data-toggle="tooltip" title="" data-original-title="News und Info"><i class="icon ion-ios-information-circle-outline"></i></a>
                    <div class="dropdown-menu">
                        <div class="az-dropdown-header mg-b-20 d-sm-none">
                            <a href="" class="az-header-arrow"><i class="icon ion-md-arrow-back"></i></a>
                          </div>
                          <h6 class="az-notification-title">Notifications</h6>
                          <div class="az-notification-list">
                            <div class="media new">
                              <!-- <div class="az-img-user"><img src="https://via.placeholder.com/500" alt=""></div> -->
                              <div class="media-body">
                                <p>Congratulate <strong>Socrates Itumay</strong> for work anniversaries</p>
                                <span>Mar 15 12:32pm</span>
                              </div><!-- media-body -->
                            </div><!-- media -->
                        </div><!-- az-notification-list -->
                        <div class="dropdown-footer"><a href="">View All Notifications</a></div>
                    </div><!-- dropdown-menu -->
                </div><!-- az-header-notification -->

                <div class="az-header-notification  mg-r-30">
                    <a href="#" data-toggle="tooltip" title="" data-original-title="Vollbild"><i class="icon ion-ios-expand"></i></a>
                </div><!-- az-header-message -->

                <div class="dropdown az-header-notification">
                    <a href="" data-toggle="tooltip" title="" data-original-title="Mein Apps"><i class="icon ion-ios-keypad"></i></a>
                    <div class="dropdown-menu">
                      <div class="az-notification-list">
                        <div class="media new">
                          <div class="img-app-icon"><img src="/img/icons/dashboard.png" alt=""></div>
                          <div class="media-body">
                            <p class="tx-18">Dashboard</p>
                            <span>Alles im überblick </span>
                          </div><!-- media-body -->
                        </div><!-- media -->
                        <div class="media new">
                          <div class="img-app-icon"><img src="/img/icons/account.png" alt=""></div>
                          <div class="media-body">
                            <p class="tx-18">Kontoverwaltung</p>
                            <span>Zugang und Abos Verwalten</span>
                          </div><!-- media-body -->
                        </div><!-- media -->
                        <div class="media new">
                          <div class="img-app-icon"><img src="/img/icons/calendar.png" alt=""></div>
                          <div class="media-body">
                            <p class="tx-18">Easy2Schedule</p>
                            <span>Kalender und mehr</span>
                          </div><!-- media-body -->
                        </div><!-- media -->
                      </div><!-- az-notification-list -->
                    </div><!-- dropdown-menu -->
                  </div><!-- az-header-notification -->
                
                <div class="dropdown az-profile-menu">
                    <a href="" class="az-img-user">
                        <div class="az-avatar-no-status avatar-sm fas fa-user fa-3x"> </div>
                    </a>
                    <div class="dropdown-menu">
                        <div class="az-dropdown-header d-sm-none">
                            <a href="" class="az-header-arrow"><i class="icon ion-md-arrow-back"></i></a>
                        </div>
                        <div class="az-header-profile">
                            <div class="az-img-user">
                                <div class="az-avatar-no-status avatar-xl fas fa-user fa-4x"></div>
                            </div><!-- az-img-user -->
                            <h6 id="nav_dropdown_name"><!-- User name generated from Cookie --></h6>
                            <p class="az-profile-name-text">Benutzerkonto</p>
                        </div><!-- az-header-profile -->
                        <!-- <a href="#" class="dropdown-item disabled"><i class="typcn typcn-cog-outline"></i>
                            Einstellungen</a> -->
                        <a href="#" onclick="changePasswordDialog();" class="dropdown-item"><i
                                class="typcn typcn-edit"></i>
                            Passwort ändern</a>
                        <a href="#" id="logout_button" class="dropdown-item logout_button"><i
                                class="typcn typcn-power-outline"></i>Abmelden</a>
                    </div><!-- dropdown-menu -->
                </div><!-- az-header-right -profile-menu -->
            </div><!-- az-header-right -->
        </div><!-- container -->
    </div><!-- az-header -->

    <div class="az-content az-content-dashboard">
        <div class="container">
          <div class="az-content-body">
            <div>
              <h2 class="az-dashboard-title">Navigation Header Type One</h2>
              <p class="az-dashboard-text">This is content area</p>
            </div>
  
  
          </div><!-- az-content-body -->
        </div>
      </div><!-- az-content -->

      <div class="az-footer ht-40">
        <div class="container-fluid pd-t-0-f ht-100p">
          <span>&copy; 2021 Crowdsoft</span>
        </div><!-- container -->
      </div><!-- az-footer -->




    <script src="/lib/jquery/jquery.min.js?v=[cs_version]"></script>
    <script src="/lib/bootstrap/js/bootstrap.bundle.min.js?v=[cs_version]"></script>
    <script src="/lib/bootstrap-table/js/bootstrap-table.min.js?v=[cs_version]"></script>
    <script type="module" src="/lib/ionicons/ionicons/ionicons.esm.js?v=[cs_version]"></script>
    <script nomodule="" src="/lib/ionicons/ionicons/ionicons.js?v=[cs_version]"></script>
    <script src="/js/azia.js?v=[cs_version]"></script>
    <script src="/csf-lib/vendor/jquery/jquery.blockUI.js?v=[cs_version]"></script>
    <script defer type="module">
        import { pbBrain } from '../csf-lib/pb-brain.js?v=[cs_version]';
        import { CONFIG } from '../pb-config.js?v=[cs_version]';
        document.API_BASE_URL = CONFIG.API_BASE_URL
        new pbBrain().boot("role-managment-circuit");
    </script>

    <script type="text/javascript">
        window.onload = function () {
            var username = getCookie('username');
            //var short_username = toInitials(username);
            var consumer = getCookie('consumer_name');

            var user_tag = document.getElementById('nav_avatar');
            //user_tag.innerHTML=short_username;
            var user_tag = document.getElementById('nav_dropdown_name');
            user_tag.innerHTML = username;
            var user_tag = document.getElementById('account_avatar');
            //user_tag.innerHTML = short_username;
            var consumer_tag = document.getElementById('account_company_name');
            consumer_tag.innerHTML = consumer;
        }

        function toInitials(my_string) {
            var firstChar = my_string.charAt(0);
            var lastChar = my_string.slice(-1);
            return my_string = firstChar + lastChar;
        }

        function getCookie(c_name) {
            if (document.cookie.length > 0) {
                c_start = document.cookie.indexOf(c_name + "=");
                if (c_start != -1) {
                    c_start = c_start + c_name.length + 1;
                    c_end = document.cookie.indexOf(";", c_start);
                    if (c_end == -1) c_end = document.cookie.length;
                    return unescape(document.cookie.substring(c_start, c_end));
                }
            }
            return "";
        }
    </script>

    <script>
        // $.blockUI({
        //     message: '<div class="loadingData">Daten werden geladen, einen Augenblick bitte.</div>',
        // });
        $(function () {
            'use strict'

        });


        function changePasswordDialog() {
            $.blockUI({
                blockMsgClass: 'alertBox',
                message: '<div class="password-change-dialog_wrapper modal-content">' +
                    '<div class="modal-header"><h6 class="modal-title">Password ändern</h6></div>' +
                    '<div class="modal-body">' +
                    '<div class="row row-xs mg-b-20">' +
                    '<div class="col-md-5"><label class="form-label text-left mg-b-0">Aktuelles Passwort:</label></div>' +
                    '<div class="col-md-7 mg-t-5 mg-md-t-0"><input id="old_password" type="password"/></div></div>' +
                    ' <div class="row row-xs mg-b-20">' +
                    '<div class="col-md-5"><label class="form-label text-left mg-b-0">Neues Passwort:</label></div>' +
                    '<div class="col-md-7 mg-t-5 mg-md-t-0"><input id="new_password" type="password"/></div></div>' +
                    '<div class="row row-xs mg-b-20">' +
                    '<div class="col-md-5"><label class="form-label text-left mg-b-0">Neues Passwort Bestätigen:</label></div>' +
                    '<div class="col-md-7 mg-t-5 mg-md-t-0"><input id="new_password_confirm" type="password"/></div></div></div>' +
                    '<div class="modal-footer justify-content-center">' +
                    '<button onclick="submitPasswordDialog();" type="button" class="btn btn-indigo">Passwort ändern</button>' +
                    '<button onclick="$.unblockUI();" type="button" class="btn btn-outline-light">Abbrechen</button></div></div>'
            });

        }



        function submitPasswordDialog() {
            let func = function (apikey) {
                if (apikey == false) {
                    $.blockUI({blockMsgClass: 'alertBox', message: 'Das angegebene Passwort stimmt nicht.' });
                    setTimeout(function () {
                        $.unblockUI();
                    }, 2000)
                } else if ($("#new_password").val() != $("#new_password_confirm").val()) {
                    $.blockUI({blockMsgClass: 'alertBox', message: 'Passwort und Passwort-Bestätigung stimmen nicht überein.' });
                    setTimeout(function () {
                        $.unblockUI();
                    }, 2000)
                } else if (!isStrongPwd($("#new_password").val())) {
                    $.blockUI({blockMsgClass: 'alertBox', message: '<div class="password-not-safe-modal">Das Passwort ist nicht sicher. Es muss mindestens 8 Zeichen lang sein und mindestens einen Groß-, einen Kleinbuchstaben und eine Ziffer enthalten.<br/><br/><button onclick="$.unblockUI();">Okay</button></div>' });
                } else {
                    $.unblockUI();
                    changePassword($.cookie("username"), $("#new_password").val());
                }
            }
            getapikeyfor($.cookie("username"), $("#old_password").val(), func)
        }

        function changePassword(username, password, onsuccess = null, onfailure = null) {
            let data = {
                "username": username,
                "password": password
            }
            $.blockUI({blockMsgClass: 'alertBox', message: 'Passwort wird aktualisiert.' });
            var settings = {
                "url": document.API_BASE_URL + "/update_credentials",
                "method": "POST",
                "timeout": 0,
                "headers": {
                    "Content-Type": "application/json",
                    "apikey": $.cookie("apikey")
                },
                "data": JSON.stringify(data),
                "success": function () {
                    $.blockUI({blockMsgClass: 'alertBox', message: 'Passwort wurde aktualisiert.' });
                    if (onsuccess != null) {
                        onsuccess()
                    } else {
                        setTimeout(function () {
                            $.unblockUI();
                        }, 2000)
                    }
                },
                "error": function () {
                    $.blockUI({blockMsgClass: 'alertBox', message: 'Passwort konnte nicht aktualisiert werden, bitte versuchen sie es später noch einmal.' });
                    if (onsuccess != null) {
                        onfailure()
                    } else {
                        setTimeout(function () {
                            $.unblockUI();
                        }, 2000)
                    }
                },
            };

            $.ajax(settings).done(function (response) {
                console.log(response);
            });


        }

        function isStrongPwd(password) {

            var uppercase = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            var lowercase = "abcdefghijklmnopqrstuvwxyz";
            var digits = "0123456789";
            var splChars = "!@#$%&*()";
            var ucaseFlag = contains(password, uppercase);
            var lcaseFlag = contains(password, lowercase);
            var digitsFlag = contains(password, digits);
            //var splCharsFlag = contains(password, splChars);

            if (password.length >= 8 && ucaseFlag && lcaseFlag && digitsFlag /*&& splCharsFlag*/)
                return true;
            else
                return false;

        }

        function contains(password, allowedChars) {
            for (i = 0; i < password.length; i++) {
                var char = password.charAt(i);
                if (allowedChars.indexOf(char) >= 0) {
                    return true;
                }
            }
            return false;
        }

        function getapikeyfor(username, password, callback) {
            let postUrl = document.API_BASE_URL + "/login";
            $.ajax({
                type: "GET",
                url: postUrl,
                contentType: 'application/json;charset=UTF-8',
                data: "",
                beforeSend: function (xhr) {
                    xhr.setRequestHeader('Authorization', 'Basic ' + btoa(username + ":" + password));
                },
                success: function (response) {
                    console.log("RESPONSE", response)
                    if (typeof (response) != "undefined") {
                        callback(response.apikey)
                    } else {
                        callback(response.apikey)
                    }
                },
                error: function () {
                    callback(false)
                }
            }).done(function (o) {

            });
        }

    </script>
    <script>
        $(function(){
          'use strict'
  
          $('[data-toggle="tooltip"]').tooltip();
  
          // colored tooltip
          $('[data-toggle="tooltip-primary"]').tooltip({
            template: '<div class="tooltip tooltip-primary" role="tooltip"><div class="arrow"></div><div class="tooltip-inner"></div></div>'
          });
  
          $('[data-toggle="tooltip-secondary"]').tooltip({
            template: '<div class="tooltip tooltip-secondary" role="tooltip"><div class="arrow"></div><div class="tooltip-inner"></div></div>'
          });
  
        });
      </script>


</body>

</html>